Bug 123250 - [PATCH] lang/sbcl: add lutex support
Summary: [PATCH] lang/sbcl: add lutex support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stanislav Sedov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-30 09:10 UTC by bf
Modified: 2008-06-05 09:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.94 KB, patch)
2008-04-30 09:10 UTC, bf
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2008-04-30 09:10:01 UTC
.. , enable memory usage limits on bootstrap, re-add distinfo on x86-64 binary, and sort pkg-plist.  New boostrap binaries should be made for i386 and x86-64, and sent upstream to Sourceforge (they stopped making them at version 1.0.6 for FreeBSD, although they've continued for Linux), or hosted on our servers, especially if we are going to discontinue support for FreeBSD 5.x in ports after it's upcoming security end-of-life (in which case we'd then make binaries for 6.x and switch the build dependency to compat 6.x).

b.

Fix: Patch attached with submission follows:
Comment 1 bf 2008-04-30 09:13:28 UTC
Oops, please reclassify this PR as ports/. 

Sorry and thanks,

b.



      ____________________________________________________________________________________
Be a better friend, newshound, and 
know-it-all with Yahoo! Mobile.  Try it now.  http://mobile.yahoo.com/;_ylt=Ahu06i62sR8HDtDypao8Wcj9tAcJ
Comment 2 Martin Wilke freebsd_committer 2008-04-30 09:23:30 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports pr.
Comment 3 Rong-En Fan freebsd_committer 2008-05-17 14:16:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Over to maintainer.
Comment 4 dfilter service freebsd_committer 2008-06-05 09:39:40 UTC
stas        2008-06-05 08:39:35 UTC

  FreeBSD ports repository

  Modified files:
    lang/sbcl            Makefile distinfo pkg-plist 
    lang/sbcl/files      customize-target-features.lisp 
  Log:
  - Update to 1.0.17.
  - Update bootstrap binaries to the latest version. Also, add bootstrap
    for each supported FreeBSD version to eliminate compat-XXX dependency.
  - Add a knob to specify SBCL dynamic space size (useful for low-memory
    systems). [1]
  - Enable sb-luted for threaded SBCL. [1]
  - FreeBSD 5.x cleanup.
  
  PR:             ports/123250 (based on) [1]
  Submitted by:   bf <bf2006a@yahoo.com>
  
  Revision  Changes    Path
  1.60      +50 -29    ports/lang/sbcl/Makefile
  1.45      +21 -9     ports/lang/sbcl/distinfo
  1.2       +1 -0      ports/lang/sbcl/files/customize-target-features.lisp
  1.31      +12 -8     ports/lang/sbcl/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Stanislav Sedov freebsd_committer 2008-06-05 09:40:28 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!